% minimum point algorithm using svd to find the null space regressor

function line = nptalg(Data)

  [m,n] = size(Data);
  if m~=n+1
      error('Data samples are not the minimum possible case!');
  end
  [U,S,V] = svd(Data');
  line = V(:,end)';

return;